Bug 436116 (CVE-2008-0890) - CVE-2008-0890 DirServ 7.1: insecure default permissions on jars directory
Summary: CVE-2008-0890 DirServ 7.1: insecure default permissions on jars directory
Status: CLOSED ERRATA
Alias: CVE-2008-0890
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=redhat,reported=20080305,publi...
Keywords: Security
Depends On: 442679
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-05 14:46 UTC by Tomas Hoger
Modified: 2013-08-22 19:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 09:40:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0173 normal SHIPPED_LIVE Important: Red Hat Directory Server 7.1 Service Pack 4 security update 2008-03-11 14:30:56 UTC

Description Tomas Hoger 2008-03-05 14:46:10 UTC
While investigating CVE-2008-0889 affecting Red Hat Directory Server 8 / Fedora
Directory Server, it was discovered that Red Hat Directory Server 7.1 RPMS
create directory /opt/redhat-ds/java/jars as world writable, allowing local
users to remove .jar files in this directory and replace them with modified
ones, leading to a privilege escalation.

Comment 5 Tomas Hoger 2008-03-07 09:55:33 UTC
This issue did not affect Red Hat Directory Server 7.1 for Solaris and HP-UX. 
Permissions of jars directory on those platforms were set correctly.

Comment 7 Tomas Hoger 2008-03-11 13:54:52 UTC
Lifting embargo.


Note You need to log in before you can comment on or make changes to this bug.